compact1, compact2, compact3
java.nio.file.attribute

## Enum AclEntryType

- java.lang.Object
- - java.lang.Enum<AclEntryType>
  - - java.nio.file.attribute.AclEntryType

- All Implemented Interfaces:
    Serializable, Comparable<AclEntryType>

      public enum AclEntryType
      extends Enum<AclEntryType>

  A typesafe enumeration of the access control entry types.
  Since:
    1.7

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALARM` | Generate an alarm, in a system dependent way, the access specified in the permissions component of the ACL entry.
    `ALLOW` | Explicitly grants access to a file or directory.
    `AUDIT` | Log, in a system dependent way, the access specified in the permissions component of the ACL entry.
    `DENY` | Explicitly denies access to a file or directory.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AclEntryType` | `valueOf(String name)` | Returns the enum constant of this type with the specified name.
    `static AclEntryType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOW

          public static final AclEntryType ALLOW

      Explicitly grants access to a file or directory.

    - #### DENY

          public static final AclEntryType DENY

      Explicitly denies access to a file or directory.

    - #### AUDIT

          public static final AclEntryType AUDIT

      Log, in a system dependent way, the access specified in the permissions component of the ACL entry.

    - #### ALARM

          public static final AclEntryType ALARM

      Generate an alarm, in a system dependent way, the access specified in the permissions component of the ACL entry.

  - ### Method Detail

    - #### values

          public static AclEntryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AclEntryType c : AclEntryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AclEntryType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.